export declare class UploadsService {
    generateFilename(originalname: string): string;
    getImageUrl(filename: string, category: 'avatars' | 'posts' | 'listings'): string;
    getCvUrl(filename: string): string;
    validateImageFile(mimetype: string): boolean;
    validateCvFile(mimetype: string): boolean;
    validateFileSize(size: number, maxSizeMB: number): boolean;
}
